igeo.gui

## Interface IGraphicsGL

- All Superinterfaces:
    IGraphics, IGraphics3D
  All Known Implementing Classes:
    IGraphicsGL2

      public interface IGraphicsGL
      extends IGraphics3D

  Interface of Graphics to draw 3D geometry with OpenGL
  Author:
    Satoru Sugihara

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.jogamp.opengl.GL` | `getGL()`
    `ITextureGraphicGL` | `getTextureGraphic(java.awt.image.BufferedImage image)`
    `ITextureGraphicGL` | `getTextureGraphic(java.lang.String filename)`
    `void` | `setBGImage(java.lang.String imageFilename)`
    `void` | `setGL(com.jogamp.opengl.GL g)`

    - ### Methods inherited from interface igeo.gui.IGraphics3D

      `ambient, ambient, ambient, ambient, ambient, beginTexture, diffuse, diffuse, diffuse, diffuse, diffuse, disableLight, drawLineLoop, drawLines, drawLineStrip, drawPoint, drawPoints, drawPolygon, drawPolygon, drawPolygon, drawPolygon, drawPolygon, drawPolygon, drawQuadMatrix, drawQuadMatrix, drawQuadMatrix, drawQuadMatrix, drawQuadMatrix, drawQuadMatrix, drawQuads, drawQuads, drawQuads, drawQuads, drawQuads, drawQuads, drawQuadStrip, drawQuadStrip, drawQuadStrip, drawQuadStrip, drawQuadStrip, drawQuadStrip, drawTriangleFan, drawTriangleFan, drawTriangleFan, drawTriangleFan, drawTriangleFan, drawTriangleFan, drawTriangles, drawTriangles, drawTriangles, drawTriangles, drawTriangles, drawTriangles, drawTriangleStrip, drawTriangleStrip, drawTriangleStrip, drawTriangleStrip, drawTriangleStrip, drawTriangleStrip, emissive, emissive, emissive, emissive, emissive, enableLight, endTexture, pointSize, shininess, specular, specular, specular, specular, specular`

    - ### Methods inherited from interface igeo.gui.IGraphics

      `clr, clr, clr, clr, draw, firstDraw, firstDraw, stroke, stroke, stroke, stroke, type, view, weight`

- - ### Method Detail

    - #### getGL

          com.jogamp.opengl.GL getGL()

    - #### setGL

          void setGL(com.jogamp.opengl.GL g)

    - #### setBGImage

          void setBGImage(java.lang.String imageFilename)

    - #### getTextureGraphic

          ITextureGraphicGL getTextureGraphic(java.lang.String filename)

    - #### getTextureGraphic

          ITextureGraphicGL getTextureGraphic(java.awt.image.BufferedImage image)